package com.ruoyi.project.training.spec.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.spec.mapper.TStSuccessorScoreMapper;
import com.ruoyi.project.training.spec.domain.TStSuccessorScore;
import com.ruoyi.project.training.spec.service.ITStSuccessorScoreService;

/**
 * 继任者年度评分Service业务层处理
 *
 * @author ruoyi
 * @date 2022-05-17
 */
@Service
public class TStSuccessorScoreServiceImpl implements ITStSuccessorScoreService
{
    @Autowired
    private TStSuccessorScoreMapper tStSuccessorScoreMapper;

    /**
     * 查询继任者年度评分
     *
     * @param tStSuccessorScore 继任者年度评分
     * @return 继任者年度评分
     */
    public TStSuccessorScore selectTStSuccessorScore(TStSuccessorScore tStSuccessorScore) {
        return tStSuccessorScoreMapper.selectTStSuccessorScore(tStSuccessorScore);
    }

    /**
     * 查询继任者年度评分
     *
     * @param id 继任者年度评分ID
     * @return 继任者年度评分
     */
    @Override
    public TStSuccessorScore selectTStSuccessorScoreById(Long id)
    {
        return tStSuccessorScoreMapper.selectTStSuccessorScoreById(id);
    }

    /**
     * 查询继任者年度评分列表
     *
     * @param tStSuccessorScore 继任者年度评分
     * @return 继任者年度评分
     */
    @Override
    public List<TStSuccessorScore> selectTStSuccessorScoreList(TStSuccessorScore tStSuccessorScore)
    {
        return tStSuccessorScoreMapper.selectTStSuccessorScoreList(tStSuccessorScore);
    }

    /**
     * 新增继任者年度评分
     *
     * @param tStSuccessorScore 继任者年度评分
     * @return 结果
     */
    @Override
    public int insertTStSuccessorScore(TStSuccessorScore tStSuccessorScore)
    {
        return tStSuccessorScoreMapper.insertTStSuccessorScore(tStSuccessorScore);
    }

    /**
     * 修改继任者年度评分
     *
     * @param tStSuccessorScore 继任者年度评分
     * @return 结果
     */
    @Override
    public int updateTStSuccessorScore(TStSuccessorScore tStSuccessorScore)
    {
        return tStSuccessorScoreMapper.updateTStSuccessorScore(tStSuccessorScore);
    }

    /**
     * 批量删除继任者年度评分
     *
     * @param ids 需要删除的继任者年度评分ID
     * @return 结果
     */
    @Override
    public int deleteTStSuccessorScoreByIds(Long[] ids)
    {
        return tStSuccessorScoreMapper.deleteTStSuccessorScoreByIds(ids);
    }

    /**
     * 删除继任者年度评分信息
     *
     * @param id 继任者年度评分ID
     * @return 结果
     */
    @Override
    public int deleteTStSuccessorScoreById(Long id)
    {
        return tStSuccessorScoreMapper.deleteTStSuccessorScoreById(id);
    }
}
